%define majver %(echo %version | cut -d. -f1-2)

Name:          akonadi-contacts
Version:       18.12.0
Release:       1mamba
Summary:       KDE Frameworks 5 Akonadi libraries for Kontact
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        https://download.kde.org/stable/applications/%{version}/src/akonadi-contacts-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5WebEngine-devel
BuildRequires: libakonadi-devel
BuildRequires: libgcc
BuildRequires: libgrantlee-devel
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcontacts-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkmime-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libqt5-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 Akonadi libraries for Kontact.

%package -n lib%{name}
Group:         System/Libraries
Summary:       KDE Frameworks 5 Akonadi libraries for Kontact
Obsoletes:     akonadi-contacts

%description -n lib%{name}
KDE Frameworks 5 Akonadi libraries for Kontact.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name} -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/akonadi-contacts.categories
%{_sysconfdir}/xdg/akonadi-contacts.renamecategories
#%{_sysconfdir}/xdg/contact-editor.categories
%{_kde5_libdir}/libKF5AkonadiContact.so.*
%{_libdir}/qt5/plugins/kcm_akonadicontact_actions.so
%{_kde5_libdir}/libKF5ContactEditor.so.*
%{_libdir}/qt5/plugins/akonadi/contacts/plugins/categorieseditwidgetplugin.so
%{_libdir}/qt5/plugins/akonadi_serializer_addressee.so
%{_libdir}/qt5/plugins/akonadi_serializer_contactgroup.so
%{_datadir}/akonadi/plugins/serializer/akonadi_serializer_addressee.desktop
%{_datadir}/akonadi/plugins/serializer/akonadi_serializer_contactgroup.desktop
%{_kde5_datadir}/kf5/akonadi/contact/data/*
%{_kde5_datadir}/kf5/akonadi/contact/pics/*
%dir %{_datadir}/kservices5/akonadi/contact
%{_datadir}/kservices5/akonadi/contact/*.desktop
%{_datadir}/kservices5/akonadicontact_actions.desktop
%{_kde5_servicetypesdir}/kaddressbookimprotocol.desktop
%doc COPYING COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/Akonadi/Contact
%{_kde5_includedir}/Akonadi/Contact/*
%dir %{_kde5_includedir}/ContactEditor
%{_kde5_includedir}/ContactEditor/*
%dir %{_kde5_includedir}/contacteditor
%{_kde5_includedir}/contacteditor/*
#%{_kde5_includedir}/akonadi-contact_version.h
%dir %{_kde5_includedir}/akonadi/contact
%{_kde5_includedir}/akonadi/contact/*
%{_kde5_libdir}/libKF5ContactEditor.so
%dir %{_kde5_libdir}/cmake/KF5AkonadiContact
%{_kde5_libdir}/cmake/KF5AkonadiContact/KF5AkonadiContact*.cmake
%dir %{_kde5_libdir}/cmake/KF5ContactEditor
%{_kde5_libdir}/cmake/KF5ContactEditor/KF5ContactEditor*.cmake
%{_kde5_libdir}/libKF5AkonadiContact.so
%{_libdir}/qt5/mkspecs/modules/qt_ContactEditor.pri
%{_libdir}/qt5/mkspecs/modules/qt_AkonadiContact.pri

%changelog
* Sat Dec 22 2018 Automatic Build System <autodist@mambasoft.it> 18.12.0-1mamba
- automatic version update by autodist

* Wed Nov 14 2018 Automatic Build System <autodist@mambasoft.it> 18.08.3-1mamba
- automatic version update by autodist

* Fri Oct 12 2018 Automatic Build System <autodist@mambasoft.it> 18.08.2-1mamba
- automatic version update by autodist

* Sat Sep 08 2018 Automatic Build System <autodist@mambasoft.it> 18.08.1-1mamba
- automatic version update by autodist

* Tue Aug 21 2018 Automatic Build System <autodist@mambasoft.it> 18.08.0-1mamba
- automatic version update by autodist

* Fri Jul 13 2018 Automatic Build System <autodist@mambasoft.it> 18.04.3-1mamba
- automatic version update by autodist

* Tue Jun 12 2018 Automatic Build System <autodist@mambasoft.it> 18.04.2-1mamba
- automatic version update by autodist

* Sun May 13 2018 Automatic Build System <autodist@mambasoft.it> 18.04.1-1mamba
- automatic version update by autodist

* Tue May 01 2018 Automatic Build System <autodist@mambasoft.it> 18.04.0-1mamba
- automatic version update by autodist

* Sun Mar 11 2018 Automatic Build System <autodist@mambasoft.it> 17.12.3-1mamba
- automatic version update by autodist

* Fri Feb 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.2-1mamba
- automatic version update by autodist

* Fri Jan 12 2018 Automatic Build System <autodist@mambasoft.it> 17.12.1-1mamba
- automatic version update by autodist

* Thu Jan 04 2018 Automatic Build System <autodist@mambasoft.it> 17.12.0-1mamba
- automatic version update by autodist

* Fri Nov 10 2017 Automatic Build System <autodist@mambasoft.it> 17.08.3-1mamba
- automatic version update by autodist

* Sat Oct 21 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Sun Sep 10 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Sun Aug 27 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Sun Aug 06 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Tue Mar 14 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 16.12.3-1mamba
- update to 16.12.3

* Fri Feb 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Tue Jan 17 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Sun Dec 25 2016 Automatic Build System <autodist@mambasoft.it> 16.12.0-1mamba
- automatic version update by autodist

* Thu Nov 17 2016 Automatic Build System <autodist@mambasoft.it> 16.08.3-1mamba
- automatic version update by autodist

* Wed Oct 19 2016 Automatic Build System <autodist@mambasoft.it> 16.08.2-1mamba
- automatic version update by autodist

* Sat Sep 10 2016 Automatic Build System <autodist@mambasoft.it> 16.08.1-1mamba
- automatic version update by autodist

* Thu Sep 01 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.08.0-1mamba
- package created using the webbuild interface
